Subject: Re: [PATCH v2 1/8] services: configuration: Add user-defined sanitizer support.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 25 Mar 2023 22:01:01 -0400

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 24.03.2023 um 10:25 -0400 schrieb Maxim Cournoyer:
>> > +        ((proc)  ; TODO: deprecated, to be removed
>> > +         (every (cut eq? <> #f)
>> > +                (map maybe-value-set?
>> > +                     (list sanitizer* serializer*)))
>> 
>> This 'every' call result is not acted upon.  Was it supposed to raise
>> a syntax violation?  If it's useful to keep it (and act on it), I'd
>> use something like:
> If I read this correctly, this 'every' call is actually in a guard
> position, that is the syntax-case will ignore proc unless 

Thanks for explaining -- Bruno had also hinted at this was a syntax-case
guard on IRC, which I had forgotten about :-).

-- 
Thanks,
Maxim